Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Adjust a team or player's score by hand

POST/api/admin/score-adjustments
Request body
requiredapplication/json
teamIdstring
userIdstring
deltaintegerrequired
min -9007199254740991 · max 9007199254740991
notestringrequired
min length 1
Responses
200

Success

okbooleanrequired
teamIdstringrequired
pointsnumberrequired
400

Bad request

Any of:
object
errorstringrequired
object
errorstringrequired
401

Unauthorized

errorstringrequired
404

Not found

Any of:
object
errorstringrequired
object
errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X POST '/api/admin/score-adjustments' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "teamId": "string",
  "userId": "string",
  "delta": -9007199254740991,
  "note": "string"
}'
Response
{
  "ok": true,
  "teamId": "string",
  "points": 0
}

Was this page helpful?